<template>
  <main class="main-home main-inner-page">
    <div v-if="!activeDock && !docs" class="container">
      <h2 style="margin: 30px 0">Выбери свою ситуацию</h2>
      <slot
        v-for="(group, i) in groups"
      >
        <div
          :key="i"
          class="my-docs"
          @click="selected ? selected = !selected: selected = group.id"
        >
          <p class="chanses-list__item-title">{{group.name}}</p>
          <img :class="{'active':selected === group.id}" src="../assets/img/arrow-next.svg" alt="">
        </div>
        <ul v-if="selected === group.id" class="my-docs-service">
          <slot v-for="(service, i) in services">
            <li
              v-if="parseInt(service.cf[341]) === group.id"
              :key="i"
              @click="selectService = { id: i, group: group.name, service: service.name }; activeDock = true"
            >
              <div>{{service.name}}</div>
              <img src="../assets/img/arrow-next.svg" alt="">
            </li>
          </slot>
        </ul>
      </slot>
    </div>
    <section class="docks-section" v-if="!activeDock && docs">
      <div
        v-for="(group, i) in groups"
        :key="i"
        class="container"
      >
        <p class="docks-section__title" v-if="group.id === docs">{{group.name}}</p>
        <p class="docks-section__subtitle" v-if="group.id === docs">Готовые проверенные шаблоны документов на все случаи. Просто вставьте свои данные и решите любую проблему.</p>
          <div class="docks-section-links">
            <slot
              v-for="(service, i) in services"
            >
              <a
                v-if="parseInt(service.cf[341]) === docs && group.id === docs"
                @click="selectService = { id: i, group: group.name, service: service.name }; activeDock = true"
                :key="i"
              >
                <span>{{service.name}}</span>
                <div class="docks-section-links__icon">
                  <svg width="6" height="12" viewBox="0 0 6 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M7.35917e-07 1.05263L0.895523 0L6 6L0.895522 12L0 10.9474L4.0796 6L7.35917e-07 1.05263Z" fill="white"/>
                    <path d="M7.35917e-07 1.05263L0.895523 0L6 6L0.895522 12L0 10.9474L4.0796 6L7.35917e-07 1.05263Z" fill="black" fill-opacity="0.75"/>
                  </svg>
                </div>
              </a>
            </slot>
          </div>
      </div>
    </section>
    <section class="docks-txt" v-if="activeDock && services[selectService.id].cf[365]">
      <p class="docks-txt__title container">{{services[selectService.id].name}}</p>
      <slot
        v-for="(cf, i) in services[selectService.id].cf[365].split('\n')"
      >
        <div class="container" :key="i">
          <p v-if="cf" class="docks-txt__txt">{{cf}}</p>
        </div>
      </slot>
      <div class="docks-txt__btn">
        <p style="font-size: 20px">{{ services[selectService.id].name.indexOf('Ходатайства') >= 0 ? 'Бесплатно' : '299 ₽' }}</p>
        <a class="btn" @click="modal = true, services[selectService.id].name.indexOf('Ходатайства') >= 0 ? price = 0 : price = 299">Получить документы</a>
      </div>
    </section>
    <Loads v-if="!groups.length"/>
    <Modal
      v-show="modal"
      @close="modal = false"
      :isClose="true"
      :is-policy="true"
    >
      <template v-slot:body>
        <form class="osago-form">
          <div class="osago-form__input">
            <input v-model="name" type="text" name="name" placeholder="Ваше имя">
          </div>
          <div class="osago-form__input">
            <input v-model="email" name="email" type="text" placeholder="Почта">
          </div>
          <div class="osago-form__input">
            <input v-model="phone" name="tel" data-inputmask="'mask': '+9(999)999-99-99'" type="text" placeholder="Телефон">
          </div>
          <p class="osago-form__agree">Отправляя форму вы даёте согласие на <a @click="$root.$refs.modal.showPolicy()">обработку персональных данных</a></p>
          <button class="btn btn--wide" @click.prevent="message">Получить документы</button>
        </form>
      </template>
    </Modal>
  </main>
</template>

<script>
import Inputmask from 'inputmask'
import Modal from './Modal'
import axios from 'axios'
import Loads from './Loads'

export default {
  name: 'Docs',
  components: {Loads, Modal},
  data () {
    return {
      groups: [],
      services: [],
      selected: null,
      selectService: null,
      activeDock: null,
      modal: false,
      phone: null,
      email: null,
      name: null,
      price: 299
    }
  },
  computed: {
    docs () {
      return this.$route.params.name
    }
  },
  created () {
    this.$root.$refs.A = this
  },
  methods: {
    foo: function () {
      if (this.activeDock) { this.activeDock = null } else return this.$router.back()
    },
    message: function () {
      if (!this.name) {
        alert('Вам необходимо указать как вас зовут')
      } else if (!this.phone) {
        alert('Вам необходимо указать Ваш номер телефона')
      } else {
        const reg = '^\\+\\d{1,3}\\s?\\(\\d{3}\\)\\s?\\d{3}(-\\d{2}){2}$' // для проверки правильности введенного номера
        if (this.phone.match(reg) !== null) {
          let formData = new FormData()
          formData.append('crm', '11')
          formData.append('pipe', '22')
          formData.append('contact[name]', this.name)
          formData.append('contact[199]', this.phone)
          formData.append('contact[200]', this.email)
          formData.append('lead[214]', 'Приложение')
          formData.append('note', 'Заявка с приложения (Документы) ' + '<br>' + 'Тема: ' + this.selectService.group + '=>' + this.selectService.service + '<br>')

          axios.post('https://urist.v-avtoservice.com/api/import-lead',
            formData,
            {
              headers: {
                'Content-Type': 'multipart/form-data'
              }
            }
          ).then(res => {
            if (res.data.status === 'success') {
              this.modal = false
              alert('Заявка успешно отправлена!')
            }
          })
          formData = new FormData()
          formData.append('crm', '9')
          formData.append('pipe', '17')
          formData.append('contact[name]', this.name)
          formData.append('contact[141]', this.phone)
          formData.append('contact[142]', this.email)
          formData.append('lead[price]', this.price)
          formData.append('lead[146]', this.selectService.group)
          formData.append('lead[145]', this.selectService.service)
          axios.post('https://urist1.v-avtoservice.com/api/import-lead',
            formData,
            {
              headers: {
                'Content-Type': 'multipart/form-data'
              }
            }
          ).then(res => {
            if (res.data.link.result.payment_link) window.location.href = res.data.link.result.payment_link
          })
        } else {
          alert('Номер не корректный!')
        }
      }
    }
  },
  async mounted () {
    await axios.get('https://urist1.v-avtoservice.com/list/get-lists?id=31').then(response => {
      this.groups = response.data
      axios.get('https://urist1.v-avtoservice.com/list/get-lists?id=32').then(response => {
        this.services = response.data
      })
    })
    Inputmask().mask(document.querySelectorAll('input[type=text]'))
  }
}
</script>

<style scoped>
.my-docs {
  background-color: #ffed00;
  padding: 10px;
  border-radius: 5px;
  margin: 15px 0;
  position: relative;
}
.my-docs img {
  position: absolute;
  right: 5px;
  top: calc(50% - 10px);
  width: 20px;
  height: 20px;
  transition: all .3s;
}
.my-docs img.active {
  transform: rotate(90deg);
}
.my-docs-service {
  padding: 0 10px;
  font-size: 12px;
}
.my-docs-service li {
  padding: 0 10px;
  margin: 10px 0;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.my-docs-service :nth-child(even) {
  background: #f1f1f1;
}
.my-docs-service :nth-of-type(odd) img {
  background: initial;
}
</style>
